# Generated by Django 2.0.5 on 2018-08-13 04:46

from django.db import migrations


class Migration(migrations.Migration):
    def call_command_to_create_integrations_data(apps, schema_editor):
        from django.core.management import call_command

        call_command("update_cw_integration_configs")

    def delete_integrations_data(apps, schema_editor):
        IntegrationType = apps.get_model("core", "IntegrationType")
        IntegrationCategory = apps.get_model("core", "IntegrationCategory")
        IntegrationType.objects.all().delete()
        IntegrationCategory.objects.all().delete()

    dependencies = [
        ('core', '0007_update_cw_configs'),
    ]

    operations = [
        # migrations.RunPython(
        #     call_command_to_create_integrations_data, delete_integrations_data
        # )
    ]